Skip to main content
POST
Create a new page

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

Body

application/json

Page object that needs to be created

project_id
string
required
Example:

"3"

title
string
Example:

"Team Page"

content
string
Maximum string length: 102400
content_format
enum<string>
default:html

Format of the content field. When set to 'markdown', the server converts the content from GitHub Flavored Markdown to HTML before storage. Defaults to 'html'.

Available options:
html,
markdown
file_ids
string[]

Existing file IDs to duplicate and associate with the created page. Use for files already uploaded to this workspace, such as files attached to an agent run.

schema
integer | null
Example:

1

font
string
cover_image
object
icon
object
parent_page_id
string | null

Parent page ID this page should be placed under. Send an empty string to place the page at the root of the project

Example:

"44"

position
integer | null

a position where the page should be placed in relation to its siblings

Example:

3

is_public
boolean | null
Example:

false

Response

page created

page
object